=== debian/changelog ===
gtkman (2.3.3-2) unstable; urgency=medium

  * Team upload
  * Set Vcs fields to the right place
  * Drop default salsa config

 -- Bastian Germann <bage@debian.org>  Thu, 08 Aug 2024 22:06:36 +0200

gtkman (2.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1073042)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Fri, 14 Jun 2024 22:25:43 +0800
