=== debian/control ===
Source: gtkman
Section: doc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Maytham Alsudany <maytha8thedev@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gettext,
 intltool,
 python3,
 python3-gi,
 txt2tags,
Standards-Version: 4.7.0
Homepage: https://github.com/gapan/gtkman
Vcs-Browser: https://salsa.debian.org/python-team/packages/gtkman
Vcs-Git: https://salsa.debian.org/python-team/packages/gtkman.git

Package: gtkman
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 ${misc:Depends},
 ${python3:Depends},
Description: simple manual page viewer
 GTKMan is a simple GTK3 manual page viewer, written in Python. Manual pages
 are viewed by specifying their name and optionally the section they are in,
 just as with the original man command. The manual pages are displayed in
 simple text form using the default system monospace font.
