=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
